//
// Asura_PlatformInput.cpp
//
// Created by KJFL - Wednesday, March 31, 2004
//
// Copyright (C) 2004 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"
// This file's header.
#include "Core/Asura_UserInput.h"

#include "Input/Asura_PSP_Input.h"

int Asura_UserInput::Platform_GetNumberOfActiveControllers(bool bConsecutive)
{
    // Always one controller for the PSP
    return 1;
}

void Asura_UserInput::Platform_Initialise(void)
{
	Asura_PSP_Input::Initialise(CurrentInput, AxisValue);
}

void Asura_UserInput::Platform_Shutdown(void)
{
	Asura_PSP_Input::Shutdown();
}

void Asura_UserInput::Platform_Reset(void)
{
	Asura_PSP_Input::Reset();
}

void Asura_UserInput::Platform_Update(void)
{
	Asura_PSP_Input::Update();
}


void Asura_UserInput::Platform_UpdateInputBuffer(Asura_UnicodeChar* wszBuffer, u_int uMaxChars, u_int& uInputCursorPos,
											bool (*pfnHandleInputOverride)(ASURA_KEYID eKey), 
											const Asura_UnicodeChar* wszInputBuffer,
											u_int uInputBufferSize)
{
}


bool Asura_UserInput::Platform_IsControllerActive(int iPlayerNum)
{
    return iPlayerNum == 0;
}

bool Asura_UserInput::Platform_IsKeyToggled(int iKey)
{
	return Asura_PSP_Input::IsKeyToggled(iKey);
}
